import request from '@/utils/request'

// 查询商品属性值列表
export function listStoreProductAttrValue(query) {
  return request({
    url: '/store/store/storeProductAttrValue/list',
    method: 'get',
    params: query
  })
}

// 查询商品属性值详细
export function getStoreProductAttrValue(id) {
  return request({
    url: '/store/store/storeProductAttrValue/' + id,
    method: 'get'
  })
}

// 新增商品属性值
export function addStoreProductAttrValue(data) {
  return request({
    url: '/store/store/storeProductAttrValue',
    method: 'post',
    data: data
  })
}

// 修改商品属性值
export function updateStoreProductAttrValue(data) {
  return request({
    url: '/store/store/storeProductAttrValue',
    method: 'put',
    data: data
  })
}

// 删除商品属性值
export function delStoreProductAttrValue(id) {
  return request({
    url: '/store/store/storeProductAttrValue/' + id,
    method: 'delete'
  })
}

// 导出商品属性值
export function exportStoreProductAttrValue(query) {
  return request({
    url: '/store/store/storeProductAttrValue/export',
    method: 'get',
    params: query
  })
}
